package parser.ServletParser.library;

import java.io.*;
import java.lang.*;

/** 이 클래스는 멤버 함수의 한 인자에 대한 정보를 관리한다.
 */
public class ParameterInfo extends Object implements Serializable {
	/** 버전 제어를 위한 시리얼 넘버이다.
	 */
	public static final long serialVersionUID = 466331358007064247L;
	/** 인자의 타입을 저장하는 데이터 멤버이다.
	 */
	private String _type;
	/** 인자의 이름을 저장하는 데이터 멤버이다.
	 */
	private String _name;
	/** 생성자이다.
	  */
	public ParameterInfo() {
		_type = "";
		_name = "";
	}
	/** 생성자이다.
	  */
	public ParameterInfo(String type,String name) {
		this();
		if (type != null) _type = new String(type);
		if (name != null) _name = new String(name);
	}
	/** 데이터 멤버 _type에 대한 read access 함수이다.
	 */
	public String getType() {
		return new String(_type);
	}
	/** 데이터 멤버 _type에 대한 read access 함수이다.
	 */
	public String getParameterType() {
		return getType();
	}
	/** 데이터 멤버 _name에 대한 read access 함수이다.
	 */
	public String getName() {
		return new String(_name);
	}
	/** 데이터 멤버 _name에 대한 read access 함수이다.
	 */
	public String getParameterName() {
		return getName();
	}
};